package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;
import java.util.List;


/**
 * Representa los parametros para crear un Adendum/Enmienda del Contrato enviados desde el front-end, mismos que son 
 * recibidos por este cliente. Esta clase pertenece al ambito de DDA.
 *
 */
public class ParamAdendumEnmiendaDTO implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String idContrato;
	private String idSAP;
	private String expediente;
	private String proveedor;
	private String claveIVA;
	private String ordenInterna;
	
	public String getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(String idContrato) {
		this.idContrato = idContrato;
	}
	public String getIdSAP() {
		return idSAP;
	}
	public void setIdSAP(String idSAP) {
		this.idSAP = idSAP;
	}
	public String getExpediente() {
		return expediente;
	}
	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}
	public String getProveedor() {
		return proveedor;
	}
	public void setProveedor(String proveedor) {
		this.proveedor = proveedor;
	}
	public String getClaveIVA() {
		return claveIVA;
	}
	public void setClaveIVA(String claveIVA) {
		this.claveIVA = claveIVA;
	}
	public String getOrdenInterna() {
		return ordenInterna;
	}
	public void setOrdenInterna(String ordenInterna) {
		this.ordenInterna = ordenInterna;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" idContrato: _" + this.getIdContrato() + "_" + NEW_LINE);
		result.append(" idSAP: _" + this.getIdSAP() + "_" + NEW_LINE);
		result.append(" expediente: _" + this.getExpediente() + "_" + NEW_LINE);
		result.append(" proveedor: _" + this.getProveedor() + "_" + NEW_LINE);
		result.append(" claveIVA: _" + this.getClaveIVA() + "_" + NEW_LINE);
		result.append(" ordenInterna: _" + this.getOrdenInterna() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
